aboutsummaryrefslogtreecommitdiff
path: root/tools/testing/selftests/efivarfs/efivarfs.sh
diff options
context:
space:
mode:
authorAlex Shi <alex.shi@linaro.org>2016-03-18 11:41:51 +0800
committerAlex Shi <alex.shi@linaro.org>2016-03-18 16:01:49 +0800
commit70e00db9eb8ffc4dcaf5f035ec6a4440ba428794 (patch)
treeea67e279adedc950c3d4d8e98546b3823a2b3e93 /tools/testing/selftests/efivarfs/efivarfs.sh
parent34e0913e457f8469667faf5fa600447aa93371cf (diff)
parentdfbed80c63bb8d965067da3a6dbcc4682edcce0c (diff)
Merge remote-tracking branch 'lts/linux-3.14.y' into linux-linaro-lsk-v3.14lsk-v3.14-16.03linux-linaro-lsk-v3.14
Conflicts: Most of conflicts are due to efivar_validate() change which introduced a new parameter to check efi guid. I added efi guid for this change in sanity_check()/efivar_create() in drivers/firmware/efi/efivars.c and keep new efivar_validate() in drivers/firmware/efi/vars.c, since it's newer than LSK version. nothing need mentioned in include/linux/efi.h
Diffstat (limited to 'tools/testing/selftests/efivarfs/efivarfs.sh')
-rw-r--r--tools/testing/selftests/efivarfs/efivarfs.sh19
1 files changed, 16 insertions, 3 deletions
diff --git a/tools/testing/selftests/efivarfs/efivarfs.sh b/tools/testing/selftests/efivarfs/efivarfs.sh
index 77edcdcc016b..057278448515 100644
--- a/tools/testing/selftests/efivarfs/efivarfs.sh
+++ b/tools/testing/selftests/efivarfs/efivarfs.sh
@@ -88,7 +88,11 @@ test_delete()
exit 1
fi
- rm $file
+ rm $file 2>/dev/null
+ if [ $? -ne 0 ]; then
+ chattr -i $file
+ rm $file
+ fi
if [ -e $file ]; then
echo "$file couldn't be deleted" >&2
@@ -111,6 +115,7 @@ test_zero_size_delete()
exit 1
fi
+ chattr -i $file
printf "$attrs" > $file
if [ -e $file ]; then
@@ -141,7 +146,11 @@ test_valid_filenames()
echo "$file could not be created" >&2
ret=1
else
- rm $file
+ rm $file 2>/dev/null
+ if [ $? -ne 0 ]; then
+ chattr -i $file
+ rm $file
+ fi
fi
done
@@ -174,7 +183,11 @@ test_invalid_filenames()
if [ -e $file ]; then
echo "Creating $file should have failed" >&2
- rm $file
+ rm $file 2>/dev/null
+ if [ $? -ne 0 ]; then
+ chattr -i $file
+ rm $file
+ fi
ret=1
fi
done